Creates a new db report

Request Information

URI Parameters :

None.

Body Parameters :

db_report
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
db_report_type_id

db report type id

globally unique identifier

Required

user_id

Created user id

globally unique identifier
company_id

The Final company that own this report (If WO Report, the company that owns the installation/project)

globally unique identifier

Optionally required : company_id,company_code or node company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating db_report

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating db_report

company

Optionally required : company_id, company_code or company must be provided

db_table_name

TableName which db report linked to. Possible value are jobs or meeting

string

Optionally required : db_table_id or db_table_name must be provided

db_table_id

Table ID which db report linked to.

globally unique identifier

Optionally required : db_table_id or db_table_name must be provided

id_in_table

Item id of the table which db report linked to

globally unique identifier
date_last_update

Date last updated

date
reference_back_office

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "3a5dacd4-87c9-4637-abda-66055d2884f0",
  "db_report_type_id": "08c0e128-1145-49e9-a4ea-f2a344252fcc",
  "user_id": "c1f7f98a-227c-4d36-be27-79b283943534",
  "company_id": "1ebb0f34-d345-41a3-bac4-6b36cdc6c7ba",
  "company_code": "sample string 5",
  "db_table_name": "sample string 6",
  "db_table_id": "8a052588-16ef-41c3-82ca-b10800c57ff7",
  "id_in_table": "b5567aaf-715f-4eaa-abf7-a04374fc7629",
  "date_last_update": "2026-07-11T06:32:34.8641727+00:00",
  "reference_back_office": "sample string 10",
  "modified_dateutc": "2026-07-11T06:32:34.8641727+00:00"
}

Response Information

Resource Description :

IHttpActionResult

db_report
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
db_report_type_id

db report type id

globally unique identifier

Required

user_id

Created user id

globally unique identifier
company_id

The Final company that own this report (If WO Report, the company that owns the installation/project)

globally unique identifier

Optionally required : company_id,company_code or node company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating db_report

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating db_report

company

Optionally required : company_id, company_code or company must be provided

db_table_name

TableName which db report linked to. Possible value are jobs or meeting

string

Optionally required : db_table_id or db_table_name must be provided

db_table_id

Table ID which db report linked to.

globally unique identifier

Optionally required : db_table_id or db_table_name must be provided

id_in_table

Item id of the table which db report linked to

globally unique identifier
date_last_update

Date last updated

date
reference_back_office

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "d0ed7fa3-17e8-4fa5-a922-feca0efa6321",
  "db_report_type_id": "145824e6-a188-47ed-a188-0f03f52900f2",
  "user_id": "32209f7a-57b8-4e3a-b69b-b1bf0b45f1be",
  "company_id": "84f8d84a-7341-48f8-9eb7-bea46580042f",
  "company_code": "sample string 5",
  "db_table_name": "sample string 6",
  "db_table_id": "86945f1e-daad-4984-a3f4-e542caa28910",
  "id_in_table": "16b2866c-f77d-4f2a-9171-1a94d58202d6",
  "date_last_update": "2026-07-11T06:32:34.8641727+00:00",
  "reference_back_office": "sample string 10",
  "modified_dateutc": "2026-07-11T06:32:34.8641727+00:00"
}